/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package structures;

/**
 *
 * @author baba
 */
public class RoadSignEntry  implements Comparable{
    private String type = "";
    private double lat = 0.0;
    private double lon = 0.0;
    private String heading = "";
    private String bearing = "";
    private String priority = "";
    private String speedlimit = "";
    private String dynamicid = "";

    @Override
    public int compareTo(Object other){
        RoadSignEntry them = (RoadSignEntry)other;
        return Integer.parseInt(this.priority) - Integer.parseInt(them.priority);
    }


    public RoadSignEntry(String type1, double lat1, double lon1, String heading1, String bearing1, String priority1, String speedlimit1, String dynamicid1){
        type = type1;
        lat= lat1;
        lon = lon1;
        heading = heading1;
        bearing = bearing1;
        priority = priority1;
        speedlimit = speedlimit1;
        dynamicid = dynamicid1;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * @return the lat
     */
    public double getLat() {
        return lat;
    }

    /**
     * @param lat the lat to set
     */
    public void setLat(double lat) {
        this.lat = lat;
    }

    /**
     * @return the lon
     */
    public double getLon() {
        return lon;
    }

    /**
     * @param lon the lon to set
     */
    public void setLon(double lon) {
        this.lon = lon;
    }

    /**
     * @return the heading
     */
    public String getHeading() {
        return heading;
    }

    /**
     * @param heading the heading to set
     */
    public void setHeading(String heading) {
        this.heading = heading;
    }

    /**
     * @return the priority
     */
    public String getPriority() {
        return priority;
    }

    /**
     * @param priority the priority to set
     */
    public void setPriority(String priority) {
        this.priority = priority;
    }

    /**
     * @return the speedlimit
     */
    public String getSpeedlimit() {
        return speedlimit;
    }

    /**
     * @param speedlimit the speedlimit to set
     */
    public void setSpeedlimit(String speedlimit) {
        this.speedlimit = speedlimit;
    }

  
    /**
     * @return the dynamicid
     */
    public String getDynamicid() {
        return dynamicid;
    }

    /**
     * @param dynamicid the dynamicid to set
     */
    public void setDynamicid(String dynamicid) {
        this.dynamicid = dynamicid;
    }

    /**
     * @return the bearing
     */
    public String getBearing() {
        return bearing;
    }

    /**
     * @param bearing the bearing to set
     */
    public void setBearing(String bearing) {
        this.bearing = bearing;
    }
}
